[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.AnchorToNeighbour

AnchorToNeighbour - anchoring instructions

## Declaration

Source position: controls.pp line 1268

`public procedure TControl.AnchorToNeighbour(`
`Side: TAnchorKind;`
`Space: Integer;`
`Sibling: TControl`
`);`

## Arguments

`Side` |  | The side on which we should anchor
`Space` |  | The size of the space to be left around the control when anchoring
`Sibling` |  | The sibling control to which we should anchor

## Description

    {------------------------------------------------------------------------------
      procedure TControl.AnchorToNeighbour(Side: TAnchorKind; Space: integer;
        Sibling: TControl);

      Setup AnchorSide to anchor one side to the side of a neighbour sibling.
      For example Right side to Left side, or Top side to Bottom.
     ------------------------------------------------------------------------------}

The latest version of this document can be found at lazarus-ccr.sourceforge.net.